Loading...
Searching...
No Matches
TreeAdapter< _TreeType > Struct Template Reference

This adapter allows code that is templated on a Tree type to accept either a Tree type or a Grid type. More...

`#include <openvdb/Grid.h>`

## Public Types

using | TreeType = _TreeType
using | NonConstTreeType = typename std::remove_const< TreeType >::type
using | TreePtrType = typename TreeType::Ptr
using | ConstTreePtrType = typename TreeType::ConstPtr
using | NonConstTreePtrType = typename NonConstTreeType::Ptr
using | GridType = Grid< TreeType >
using | NonConstGridType = Grid< NonConstTreeType >
using | GridPtrType = typename GridType::Ptr
using | NonConstGridPtrType = typename NonConstGridType::Ptr
using | ConstGridPtrType = typename GridType::ConstPtr
using | ValueType = typename TreeType::ValueType
using | AccessorType = typename tree::ValueAccessor< TreeType >
using | ConstAccessorType = typename tree::ValueAccessor< const TreeType >
using | NonConstAccessorType = typename tree::ValueAccessor< NonConstTreeType >

## Static Public Member Functions

static TreeType & | tree (TreeType &t)
static TreeType & | tree (GridType &g)
static const TreeType & | tree (const TreeType &t)
static const TreeType & | tree (const GridType &g)
static const TreeType & | constTree (TreeType &t)
static const TreeType & | constTree (GridType &g)
static const TreeType & | constTree (const TreeType &t)
static const TreeType & | constTree (const GridType &g)

## Detailed Description

template<typename _TreeType>
struct openvdb::v11_0::TreeAdapter< _TreeType >

This adapter allows code that is templated on a Tree type to accept either a Tree type or a Grid type.

## Member Typedef Documentation

## AccessorType

template<typename _TreeType >

using AccessorType = typename tree::ValueAccessor<TreeType>

## ConstAccessorType

template<typename _TreeType >

using ConstAccessorType = typename tree::ValueAccessor<const TreeType>

## ConstGridPtrType

template<typename _TreeType >

using ConstGridPtrType = typename GridType::ConstPtr

## ConstTreePtrType

template<typename _TreeType >

using ConstTreePtrType = typename TreeType::ConstPtr

## GridPtrType

template<typename _TreeType >

using GridPtrType = typename GridType::Ptr

## GridType

template<typename _TreeType >

using GridType = Grid<TreeType>

## NonConstAccessorType

template<typename _TreeType >

using NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## NonConstGridPtrType

template<typename _TreeType >

using NonConstGridPtrType = typename NonConstGridType::Ptr

## NonConstGridType

template<typename _TreeType >

using NonConstGridType = Grid<NonConstTreeType>

## NonConstTreePtrType

template<typename _TreeType >

using NonConstTreePtrType = typename NonConstTreeType::Ptr

## NonConstTreeType

template<typename _TreeType >

using NonConstTreeType = typename std::remove_const<TreeType>::type

## TreePtrType

template<typename _TreeType >

using TreePtrType = typename TreeType::Ptr

## TreeType

template<typename _TreeType >

using TreeType = _TreeType

## ValueType

template<typename _TreeType >

using ValueType = typename TreeType::ValueType

## Member Function Documentation

## constTree() [1/4]

template<typename _TreeType >

static const TreeType & constTree | ( | const GridType & | g | ) |

inlinestatic

## constTree() [2/4]

template<typename _TreeType >

static const TreeType & constTree | ( | const TreeType & | t | ) |

inlinestatic

## constTree() [3/4]

template<typename _TreeType >

static const TreeType & constTree | ( | GridType & | g | ) |

inlinestatic

## constTree() [4/4]

template<typename _TreeType >

static const TreeType & constTree | ( | TreeType & | t | ) |

inlinestatic

## tree() [1/4]

template<typename _TreeType >

static const TreeType & tree | ( | const GridType & | g | ) |

inlinestatic

## tree() [2/4]

template<typename _TreeType >

static const TreeType & tree | ( | const TreeType & | t | ) |

inlinestatic

## tree() [3/4]

template<typename _TreeType >

static TreeType & tree | ( | GridType & | g | ) |

inlinestatic

## tree() [4/4]

template<typename _TreeType >

static TreeType & tree | ( | TreeType & | t | ) |

inlinestatic